SRC="scad/16mm_splicing_block.scad"
FILENAME=$(basename "${SRC}")
NAME="${FILENAME%.*}"
THEME=DeepOcean

function generateStl () {
	openscad --enable manifold -D VERBOSE=false --export-format=asciistl -o "stl/${NAME}.stl" "${SRC}"
}

function sortStl () {
	python3 scad/common/c14n_stl.py "stl/${NAME}.stl"
}

function generateJpeg () {
	openscad --enable manifold --viewall --render --imgsize=512,512 --colorscheme=${THEME} -D VERBOSE=false -D PART=\"${2}\" -o "img/${NAME}.png" "${SRC}"
	convert "img/${NAME}.png" -sampling-factor 4:2:0 -strip -quality 85 -interlace JPEG -colorspace RGB "img/${NAME}.jpg"
	rm -f "img/${NAME}.png"
}

function generateScad () {
	generateStl "${SRC}"
	sortStl "${1}"
	generateJpeg "${SRC}"
}

generateScad